# Update transfer order

Use this operation to update an existing open transfer order. Successful execution of this method will update an open transfer order in Wineshipping system. If for some reason the order cannot be updated standard HTTP Status Code and a reason will be returned.

Endpoint: POST /api/InventoryMovement/UpdateTransferOrder
Version: 3.1.4

## Request fields (application/json):

  - `Authentication` (object, required)
    Credentials are required for all API operations.

  - `Authentication.UserKey` (string, required)
    Example: C445598CB576468EA35FBB22C55584EF

  - `Authentication.Password` (string, required)
    Example: AF63FDAC1E704DC1AC9460F669ABF107

  - `Authentication.CustomerNo` (string, required)
    Example: 10703

  - `TransferInfo` (object, required)

  - `TransferInfo.TransferOrderNumber` (string)

  - `TransferInfo.CustomerReferenceNo` (string, required)

  - `TransferInfo.RequestedDate` (string)

  - `TransferInfo.InventoryStatusCode` (string)
    See [inventory codes](../../../../docs/codes/inventorycodes) for possible values. Array of up to 5 items is allowed, and if omitted, all items will be included in the results.
    Enum: "GOOD-NO-TX", "RTGD-NO-TX", "RDMG-NO-TX", "CDMG-NO-TX", "DMGD-NO-TX", "GOOD-NO-BD", "DMGD-ST-BD", "GOOD-ST-IM"

  - `TransferInfo.FirstName` (string)

  - `TransferInfo.LastName` (string)

  - `TransferInfo.PhoneNumber` (string)

  - `TransferInfo.EmailAddress` (string)

  - `TransferInfo.SpecialInstruction` (string)

  - `ItemsInfo` (array, required)

  - `ItemsInfo.ItemNo` (string)

  - `ItemsInfo.ItemDescription` (string)

  - `ItemsInfo.ItemQuantity` (integer)

## Response 200:

  - `200` (unknown)
    The transfer order update request has succeeded.

## Response 300:

  - `300` (unknown)
    There are more than one open transfer order for the requested reference number.

## Response 400:

  - `400` (unknown)
    Invalid Input Data

## Response 401:

  - `401` (unknown)
    Unauthorized

## Response 403:

  - `403` (unknown)
    The requested transfer order state has changed and the update request could not be performed.

## Response 404:

  - `404` (unknown)
    The requested transfer order number is not found.

## Response 429:

  - `429` (unknown)
    Too Many Requests [... see rate-limit details](https://wineshipping-api.redocly.app/../../../../docs/infrastructure#rate-limits--quotas)

## Response 500:

  - `500` (unknown)
    Internal Server Error

